{% layout none %}
<!doctype html>
<!--[if lt IE 8]><html class="no-js ie7" lang="en"> <![endif]-->
<!--[if IE 8]><html class="no-js ie8" lang="en"> <![endif]-->
<!--[if (gt IE 8)|!(IE)]><!--> <html class="no-js"> <!--<![endif]-->
<head>

  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width,initial-scale=1,maximum-scale=1,user-scalable=no">
  <meta http-equiv="X-UA-Compatible" content="IE=edge"> 

  {% if settings.favicon_image %}
    <link rel="shortcut icon" href="{{ 'favicon.png' | asset_url }}" type="image/png" />
  {% endif %}

  <title>{{ shop.name }}</title>

  <meta name="description" content="{{ 'gift_card.title' | t }}">

  <link rel="canonical" href="{{ canonical_url }}">

  {{ 'css_naked.scss.css' | asset_url | stylesheet_tag }}

  {{ 'vendor/qrcode.js' | shopify_asset_url | script_tag }}

  {{ content_for_header }}

</head>

<body class="no-touch clearfix">

  <div>

    <div class="wrapper">

      <h1 class="naked-title" itemscope itemtype="//schema.org/Organization">
        <a href="{{ shop.url }}" itemprop="url">{{ shop.name }}</a>
      </h1>

      <main class="content-holder" role="main">

        <div class="giftcard{% if gift_card.expired or gift_card.enabled != true %} expired{% endif %}">

            <h2 class="content-title">{{ 'gift_card.title' | t }}</h2>

           {% section 'gift_card' %}

            <div class="card-content">

              {% assign code_size = gift_card.code | format_code | size %}

              <h6 class="card-code">
              {{ gift_card.code | format_code }}
              </h6>

            <h4 class="card-text">

              {% capture date_format %}{{ 'general.date_format' | t  }}{% endcapture %}
                {% assign gift_card_expiry_date = gift_card.expires_on | date: date_format %}

                {% if gift_card.enabled and gift_card.expired != true %}

                  {{ 'gift_card.redeem' | t }}

                  {% if gift_card.expires_on %}
                    <br /><strong>{{ 'gift_card.active' | t: expiry: gift_card_expiry_date }}</strong>
                  {% endif %}

              {% else %}

                  {{ 'gift_card.disabled' | t }}

                    {% if gift_card.expired and gift_card.enabled %}
                  <br /><strong>{{ 'gift_card.expired' | t: expiry: gift_card_expiry_date }}</strong>
                {% endif %}

                {% endif %}

              </h4>
            
            <div class="wrap-actions">
            
              <div class="card-actions">
                <div>
                  <a href="{{ shop.url }}" class="button dark" target="_blank">{{ 'gift_card.shop_link' | t }}</a>
                  <a href="#" class="button" onclick="window.print();">{{ 'gift_card.print' | t }}</a>
                </div>
                {% if gift_card.pass_url %}
                  <div>
                    <a href="{{ gift_card.pass_url }}" class="button dark aw"><img src="{{ 'gift-card/add-to-apple-wallet.svg' | shopify_asset_url }}" alt="Add To Apple Wallet" /></a>
                  </div>
                {% endif %}
              </div>

              <div id="QrCode"></div>
              <script>
                new QRCode(document.getElementById('QrCode'), {
                  text: "{{ gift_card.qr_identifier }}",
                  width: 120,
                  height: 120
                });
              </script>

            </div>

          </div>

        </div>

      </main>

    </div>

    <footer class="footer">
        <p>{{ 'general.copyright' | t }} &copy; {{ 'now' | date: "%Y" }} {{ shop.name }}</p>
      <p>{{ powered_by_link }}</p>
    </footer>

  </div>

</body>
</html>